Subject: bug#18812: 24.4; url.el user agent does not include Emacs version

From: Stefan Monnier <[email-masked]>
Date: Fri, 24 Oct 2014 12:07:36 -0400

> Web browsers do.

I know, and I don't like it either.

> It helps web developers

I think it only helps them in the sense "helps to dig themselves
further into a hole, instead of backing up towards the light" ;-)

> and is not particularly sensitive if only the major.minor version is
> used (without too much detail).

It wouldn't be the end of the world, indeed.
But I still haven't heard of any concrete reason why it would be
beneficial.  The only argument I've seen so far amounts to a handwavy
"would be helpful", which I find rather unconvincing.

        Stefan